Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5082)
@@ -1332,5 +1332,5 @@
     ! en imposant la valeur de igout.
     !======================================================================
-    IF (prt_level.ge.1) THEN
+    IF (prt_level>=1) THEN
        igout=klon/2+1/klon
        write(lunout,*) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
@@ -1397,5 +1397,5 @@
        !
        !CR: check sur le nb de traceurs de l eau
-       IF ((iflag_ice_thermo.gt.0).and.(nqo==2)) THEN
+       IF ((iflag_ice_thermo>0).and.(nqo==2)) THEN
           WRITE (lunout, *) ' iflag_ice_thermo==1 requires 3 H2O tracers ', &
                '(H2O_g, H2O_l, H2O_s) but nqo=', nqo, '. Might as well stop here.'
@@ -1404,5 +1404,5 @@
        ENDIF
 
-       IF (ok_ice_sursat.AND.(iflag_ice_thermo.EQ.0)) THEN
+       IF (ok_ice_sursat.AND.(iflag_ice_thermo==0)) THEN
           WRITE (lunout, *) ' ok_ice_sursat=y requires iflag_ice_thermo=1 as well'
           abort_message='see above'
@@ -1410,5 +1410,5 @@
        ENDIF
 
-       IF (ok_ice_sursat.AND.(nqo.LT.4)) THEN
+       IF (ok_ice_sursat.AND.(nqo<4)) THEN
           WRITE (lunout, *) ' ok_ice_sursat=y requires 4 H2O tracers ', &
                '(H2O_g, H2O_l, H2O_s, H2O_r) but nqo=', nqo, '. Might as well stop here.'
@@ -1430,5 +1430,5 @@
 
         IF (ok_bs) THEN
-         IF ((ok_ice_sursat.AND.nqo .LT.5).OR.(.NOT.ok_ice_sursat.AND.nqo.LT.4)) THEN
+         IF ((ok_ice_sursat.AND.nqo <5).OR.(.NOT.ok_ice_sursat.AND.nqo<4)) THEN
              WRITE (lunout, *) 'activation of blowing snow needs a specific H2O tracer', &
                                'but nqo=', nqo
@@ -1551,5 +1551,5 @@
     ENDIF
 
-    IF (prt_level.ge.1) print *,'CONVERGENCE PHYSIQUE THERM 1 '
+    IF (prt_level>=1) print *,'CONVERGENCE PHYSIQUE THERM 1 '
 
     !======================================================================
@@ -1620,5 +1620,5 @@
        print*,'iflag_cycle_diurne', iflag_cycle_diurne
        !
-       IF (iflag_con.EQ.2.AND.iflag_cld_th.GT.-1) THEN
+       IF (iflag_con==2.AND.iflag_cld_th>-1) THEN
           abort_message = 'Tiedtke needs iflag_cld_th=-2 or -1'
           CALL abort_physic (modname,abort_message,1)
@@ -1654,5 +1654,5 @@
        ENDIF
 !>jyg
-       IF (MOD(NINT(86400./phys_tstep),nbapp_rad).EQ.0) THEN
+       IF (MOD(NINT(86400./phys_tstep),nbapp_rad)==0) THEN
           radpas = NINT( 86400./phys_tstep)/nbapp_rad
        ELSE 
@@ -1665,8 +1665,8 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       IF (nbapp_cv .EQ. 0) nbapp_cv=86400./phys_tstep
-       IF (nbapp_wk .EQ. 0) nbapp_wk=86400./phys_tstep
+       IF (nbapp_cv == 0) nbapp_cv=86400./phys_tstep
+       IF (nbapp_wk == 0) nbapp_wk=86400./phys_tstep
        print *,'physiq, nbapp_cv, nbapp_wk ',nbapp_cv,nbapp_wk
-       IF (MOD(NINT(86400./phys_tstep),nbapp_cv).EQ.0) THEN
+       IF (MOD(NINT(86400./phys_tstep),nbapp_cv)==0) THEN
           cvpas_0 = NINT( 86400./phys_tstep)/nbapp_cv
           cvpas = cvpas_0
@@ -1681,5 +1681,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       IF (MOD(NINT(86400./phys_tstep),nbapp_wk).EQ.0) THEN
+       IF (MOD(NINT(86400./phys_tstep),nbapp_wk)==0) THEN
           wkpas = NINT( 86400./phys_tstep)/nbapp_wk
 !       print *,'physiq, wkpas ',wkpas
@@ -1706,5 +1706,5 @@
              CLOSE(98)
              CONTINUE
-             IF(nCFMIP.GT.npCFMIP) THEN
+             IF(nCFMIP>npCFMIP) THEN
                 print*,'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
                 CALL abort_physic("physiq", "", 1)
@@ -1867,5 +1867,5 @@
        ! Test de coherence sur oc_cdnc utilisé uniquement par cloud_optics_prop
        IF (ok_newmicro) then
-          IF (iflag_rrtm.EQ.1) THEN
+          IF (iflag_rrtm==1) THEN
 #ifdef CPP_RRTM
              IF (ok_cdnc.AND.NRADLP.NE.3) THEN
@@ -1966,5 +1966,5 @@
        ! on remet le calendrier a zero
        !
-       IF (raz_date .eq. 1) THEN
+       IF (raz_date == 1) THEN
           itau_phy = 0
        ENDIF
@@ -1977,5 +1977,5 @@
 !          phys_tstep=pdtphys
 !       ENDIF
-       IF (nlon .NE. klon) THEN
+       IF (nlon /= klon) THEN
           WRITE(lunout,*)'nlon et klon ne sont pas coherents', nlon,  &
                klon
@@ -1983,5 +1983,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       IF (nlev .NE. klev) THEN
+       IF (nlev /= klev) THEN
           WRITE(lunout,*)'nlev et klev ne sont pas coherents', nlev, &
                klev
@@ -1990,5 +1990,5 @@
        ENDIF
        !
-       IF (phys_tstep*REAL(radpas).GT.21600..AND.iflag_cycle_diurne.GE.1) THEN 
+       IF (phys_tstep*REAL(radpas)>21600..AND.iflag_cycle_diurne>=1) THEN
           WRITE(lunout,*)'Nbre d appels au rayonnement insuffisant'
           WRITE(lunout,*)"Au minimum 4 appels par jour si cycle diurne"
@@ -2007,5 +2007,5 @@
        !KE43
        ! Initialisation pour la convection de K.E. (sb):
-       IF (iflag_con.GE.3) THEN
+       IF (iflag_con>=3) THEN
 
           WRITE(lunout,*)"*** Convection de Kerry Emanuel 4.3  "
@@ -2090,5 +2090,5 @@
              zuthe(i)=0.
              zvthe(i)=0.
-             IF (zstd(i).gt.10.) THEN
+             IF (zstd(i)>10.) THEN
                 zuthe(i)=(1.-zgam(i))*cos(zthe(i))
                 zvthe(i)=(1.-zgam(i))*sin(zthe(i))
@@ -2447,11 +2447,11 @@
           qbs_seri(i,k) = 0.
           !CR: ATTENTION, on rajoute la variable glace
-          IF (nqo.EQ.2) THEN             !--vapour and liquid only
+          IF (nqo==2) THEN             !--vapour and liquid only
              qs_seri(i,k) = 0.
              rneb_seri(i,k) = 0.
-          ELSE IF (nqo.EQ.3) THEN        !--vapour, liquid and ice
+          ELSE IF (nqo==3) THEN        !--vapour, liquid and ice
              qs_seri(i,k) = qx(i,k,isol)
              rneb_seri(i,k) = 0.
-          ELSE IF (nqo.GE.4) THEN        !--vapour, liquid, ice and rneb and blowing snow
+          ELSE IF (nqo>=4) THEN        !--vapour, liquid, ice and rneb and blowing snow
              qs_seri(i,k) = qx(i,k,isol)
              IF (ok_ice_sursat) THEN
@@ -2520,5 +2520,5 @@
     ENDDO
     ! Initialize variables used for diagnostic purpose
-    IF (flag_inhib_tend .ne. 0) CALL init_cmp_seri
+    IF (flag_inhib_tend /= 0) CALL init_cmp_seri
 
     ! Diagnostiquer la tendance dynamique
@@ -2705,5 +2705,5 @@
     ENDIF
 
-    IF (prt_level.ge.1) write(lunout,*)'Longitude solaire ',zlongi,solarlong0,dist
+    IF (prt_level>=1) write(lunout,*)'Longitude solaire ',zlongi,solarlong0,dist
 
 
@@ -2716,5 +2716,5 @@
     ! non nul aux poles.
     IF (abs(solarlong0-1000.)<1.e-4) THEN
-       CALL zenang_an(iflag_cycle_diurne.GE.1,jH_cur, &
+       CALL zenang_an(iflag_cycle_diurne>=1,jH_cur, &
             latitude_deg,longitude_deg,rmu0,fract)
        swradcorr(:) = 1.0
@@ -2741,5 +2741,5 @@
           ! Calcul du flag jour-nuit
           JrNt = 0.0
-          WHERE (fract.GT.0.0) JrNt = 1.0
+          WHERE (fract>0.0) JrNt = 1.0
        CASE(2)  
           !  Avec cycle diurne sans application des poids
@@ -2763,9 +2763,9 @@
                latitude_deg,longitude_deg,zrmu0,zfract)
           swradcorr = 0.0
-          WHERE (rmu0.GE.1.e-10 .OR. fract.GE.1.e-10) &
+          WHERE (rmu0>=1.e-10 .OR. fract>=1.e-10) &
                swradcorr=zfract/fract*zrmu0/rmu0
           ! Calcul du flag jour-nuit
           JrNt = 0.0
-          WHERE (zfract.GT.0.0) JrNt = 1.0 
+          WHERE (zfract>0.0) JrNt = 1.0
        END SELECT
     ENDIF
@@ -2826,5 +2826,5 @@
        !jyg+nrlmd<
 !!jyg       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
-       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,10) .ge. 1) THEN
+       IF (prt_level >= 2 .and. mod(iflag_pbl_split,10) >= 1) THEN
           print *,'debut du splitting de la PBL, wake_s = ', wake_s(:)
           print *,'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:,1)
@@ -2923,5 +2923,5 @@
        !  Add turbulent diffusion tendency to the wake difference variables
 !!jyg       IF (mod(iflag_pbl_split,2) .NE. 0) THEN
-       IF (mod(iflag_pbl_split,10) .NE. 0) THEN
+       IF (mod(iflag_pbl_split,10) /= 0) THEN
 !jyg<
           d_deltat_vdf(:,:) = d_t_vdf_w(:,:)-d_t_vdf_x(:,:)
@@ -3032,5 +3032,5 @@
           ELSE
              !!           IF (zx_t.LT.t_coup) THEN             !jyg
-             IF (zx_t.LT.rtt) THEN                  !jyg
+             IF (zx_t<rtt) THEN                  !jyg
                 zx_qs = qsats(zx_t)/pplay(i,k)
              ELSE
@@ -3042,5 +3042,5 @@
     ENDDO
 
-    IF (prt_level.ge.1) THEN
+    IF (prt_level>=1) THEN
        write(lunout,*) 'L   qsat (g/kg) avant clouds_gno'
        write(lunout,'(i4,f15.4)') (k,1000.*zqsat(igout,k),k=1,klev)
@@ -3065,5 +3065,5 @@
     ENDDO
 
-    IF (prt_level.ge.1) write(lunout,*) 'omega(igout, :) = ', &
+    IF (prt_level>=1) write(lunout,*) 'omega(igout, :) = ', &
          omega(igout, :)
     !
@@ -3073,5 +3073,5 @@
 !!    print *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
 !!                       itapcv, cvpas, itap-1, cvpas_0
-    IF (MOD(itapcv,cvpas).EQ.0 .OR. MOD(itap-1,cvpas_0).EQ.0) THEN
+    IF (MOD(itapcv,cvpas)==0 .OR. MOD(itap-1,cvpas_0)==0) THEN
 
     !
@@ -3101,5 +3101,5 @@
     sij(:,:,:)=0.
     !
-    IF (iflag_con.EQ.1) THEN
+    IF (iflag_con==1) THEN
        abort_message ='reactiver le call conlmd dans physiq.F'
        CALL abort_physic (modname,abort_message,1)
@@ -3107,5 +3107,5 @@
        !    .             d_t_con, d_q_con,
        !    .             rain_con, snow_con, ibas_con, itop_con)
-    ELSE IF (iflag_con.EQ.2) THEN
+    ELSE IF (iflag_con==2) THEN
        CALL conflx(phys_tstep, paprs, pplay, t_seri, q_seri, &
             conv_t, conv_q, -evap, omega, &
@@ -3122,5 +3122,5 @@
           itop_con(i) = klev+1 - kctop(i)
        ENDDO
-    ELSE IF (iflag_con.GE.3) THEN
+    ELSE IF (iflag_con>=3) THEN
        ! nb of tracers for the KE convection:
        ! MAF la partie traceurs est faite dans phytrac
@@ -3160,5 +3160,5 @@
              DO k=1,klev
                 DO i=1,klon
-                   IF (wake_s(i) .GT. 1.e-3) THEN
+                   IF (wake_s(i) > 1.e-3) THEN
                       t_w(i,k) = t_w(i,k) + d_t_adjwk(i,k)
                       q_w(i,k) = q_w(i,k) + d_q_adjwk(i,k)
@@ -3212,5 +3212,5 @@
              IF (-7*log(presnivs(k)/presnivs(1)) > 25.) k_upper_cv = k
           ENDDO
-          IF (prt_level .ge. 5) THEN
+          IF (prt_level >= 5) THEN
              Print *, 'upmost level of deep convection loops: k_upper_cv = ', &
                   k_upper_cv
@@ -3288,5 +3288,5 @@
           !
           DO i = 1, klon
-             IF (iflagctrl(i).le.1) itau_con(i)=itau_con(i)+cvpas
+             IF (iflagctrl(i)<=1) itau_con(i)=itau_con(i)+cvpas
           ENDDO
           !
@@ -3373,5 +3373,5 @@
           ema_pct(i)  = paprs(i,itop_con(i)+1)
 
-          IF (itop_con(i).gt.klev-3) THEN
+          IF (itop_con(i)>klev-3) THEN
              IF (prt_level >= 9) THEN
                 write(lunout,*)'La convection monte trop haut '
@@ -3380,5 +3380,5 @@
           ENDIF
        ENDDO
-    ELSE IF (iflag_con.eq.0) THEN
+    ELSE IF (iflag_con==0) THEN
        write(lunout,*) 'On n appelle pas la convection'
        clwcon0=0.
@@ -3465,5 +3465,5 @@
        ! Call wakes every "wkpas" step
        !
-       IF (MOD(itapwk,wkpas).EQ.0) THEN
+       IF (MOD(itapwk,wkpas)==0) THEN
           !
           DO k=1,klev
@@ -3536,5 +3536,5 @@
 
        ! Increment Wake state variables
-       IF (iflag_wake_tend .GT. 0.) THEN
+       IF (iflag_wake_tend > 0.) THEN
 
          CALL add_wake_tend &
@@ -3544,5 +3544,5 @@
        ENDIF   ! (iflag_wake_tend .GT. 0.)
        !
-       IF (prt_level .GE. 10) THEN
+       IF (prt_level >= 10) THEN
          print *,' physiq, after calwake, wake_s: ',wake_s(:)
          print *,' physiq, after calwake, wake_deltat: ',wake_deltat(:,1)
@@ -3550,5 +3550,5 @@
        ENDIF
 
-       IF (iflag_alp_wk_cond .GT. 0.) THEN
+       IF (iflag_alp_wk_cond > 0.) THEN
 
          CALL alpale_wk(phys_tstep, cell_area, wake_k, wake_s, wake_dens, wake_fip_0, &
@@ -3648,5 +3648,5 @@
           !jyg<
 !!       IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
-          IF (mod(iflag_pbl_split/10,10) .GE. 1) THEN
+          IF (mod(iflag_pbl_split/10,10) >= 1) THEN
              !  Appel des thermiques avec les profils exterieurs aux poches
              DO k=1,klev
@@ -3696,5 +3696,5 @@
           !jyg<
 !!jyg          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
-          IF (mod(iflag_pbl_split/10,10) .GE. 1) THEN
+          IF (mod(iflag_pbl_split/10,10) >= 1) THEN
              !  Si les thermiques ne sont presents que hors des
              !  poches, la tendance moyenne associ\'ee doit etre
@@ -3762,5 +3762,5 @@
        IF (iflag_thermals>=13.or.iflag_thermals<=0) THEN
 
-          IF (iflag_thermals.eq.0) THEN
+          IF (iflag_thermals==0) THEN
              IF (prt_level>9) WRITE(lunout,*)'ajsec'
              limbas(:)=1
@@ -3829,5 +3829,5 @@
     ! et le processus de precipitation
     !-------------------------------------------------------------------------
-    IF (prt_level .GE.10) THEN
+    IF (prt_level >=10) THEN
        print *,'itap, ->fisrtilp ',itap
     ENDIF
@@ -3958,9 +3958,9 @@
     !IM cf FH
     !     IF (iflag_cld_th.eq.-1) THEN ! seulement pour Tiedtke
-    IF (iflag_cld_th.le.-1) THEN ! seulement pour Tiedtke
+    IF (iflag_cld_th<=-1) THEN ! seulement pour Tiedtke
        snow_tiedtke=0.
        !     print*,'avant calcul de la pseudo precip '
        !     print*,'iflag_cld_th',iflag_cld_th
-       IF (iflag_cld_th.eq.-1) THEN
+       IF (iflag_cld_th==-1) THEN
           rain_tiedtke=rain_con
        ELSE
@@ -3970,5 +3970,5 @@
           DO k=1,klev
              DO i=1,klon
-                IF (d_q_con(i,k).lt.0.) THEN
+                IF (d_q_con(i,k)<0.) THEN
                    rain_tiedtke(i)=rain_tiedtke(i)-d_q_con(i,k)/pdtphys &
                         *(paprs(i,k)-paprs(i,k+1))/rg
@@ -3988,5 +3988,5 @@
        DO k = 1, klev
           DO i = 1, klon
-             IF (diafra(i,k).GT.cldfra(i,k)) THEN
+             IF (diafra(i,k)>cldfra(i,k)) THEN
                 radocond(i,k) = dialiq(i,k)
                 cldfra(i,k) = diafra(i,k)
@@ -3995,5 +3995,5 @@
        ENDDO
 
-    ELSE IF (iflag_cld_th.ge.3) THEN
+    ELSE IF (iflag_cld_th>=3) THEN
        !  On prend pour les nuages convectifs le max du calcul de la
        !  convection et du calcul du pas de temps precedent diminue d'un facteur
@@ -4003,5 +4003,5 @@
           DO i=1,klon
              rnebcon(i,k)=rnebcon(i,k)*facteur
-             IF (rnebcon0(i,k)*clwcon0(i,k).GT.rnebcon(i,k)*clwcon(i,k)) THEN
+             IF (rnebcon0(i,k)*clwcon0(i,k)>rnebcon(i,k)*clwcon(i,k)) THEN
                 rnebcon(i,k)=rnebcon0(i,k)
                 clwcon(i,k)=clwcon0(i,k)
@@ -4087,5 +4087,5 @@
        DO k = 1, klev
           DO i = 1, klon
-             IF (diafra(i,k).GT.cldfra(i,k)) THEN
+             IF (diafra(i,k)>cldfra(i,k)) THEN
                 radocond(i,k) = dialiq(i,k)
                 cldfra(i,k) = diafra(i,k)
@@ -4119,5 +4119,5 @@
           ELSE
              !!           IF (zx_t.LT.t_coup) THEN             !jyg
-             IF (zx_t.LT.rtt) THEN                  !jyg
+             IF (zx_t<rtt) THEN                  !jyg
                 zx_qs = qsats(zx_t)/pplay(i,k)
              ELSE
@@ -4126,5 +4126,5 @@
           ENDIF
           zx_rh(i,k) = q_seri(i,k)/zx_qs
-            IF (iflag_ice_thermo .GT. 0) THEN
+            IF (iflag_ice_thermo > 0) THEN
           zx_rhl(i,k) = q_seri(i,k)/(qsatl(zx_t)/pplay(i,k))
           zx_rhi(i,k) = q_seri(i,k)/(qsats(zx_t)/pplay(i,k))
@@ -4140,5 +4140,5 @@
        tpot(i)=zt2m(i)*(100000./paprs(i,1))**RKAPPA
        IF (thermcep) THEN
-          IF(zt2m(i).LT.RTT) then
+          IF(zt2m(i)<RTT) then
              Lheat=RLSTT
           ELSE
@@ -4146,5 +4146,5 @@
           ENDIF
        ELSE
-          IF (zt2m(i).LT.RTT) THEN
+          IF (zt2m(i)<RTT) THEN
              Lheat=RLSTT
           ELSE
@@ -4222,11 +4222,11 @@
     ! Appeler le rayonnement mais calculer tout d'abord l'albedo du sol.
     !
-    IF (MOD(itaprad,radpas).EQ.0) THEN
+    IF (MOD(itaprad,radpas)==0) THEN
 
        !
        !jq - introduce the aerosol direct and first indirect radiative forcings
        !jq - Johannes Quaas, 27/11/2003 (quaas@lmd.jussieu.fr)
-       IF (flag_aerosol .GT. 0) THEN
-          IF (iflag_rrtm .EQ. 0) THEN !--old radiation
+       IF (flag_aerosol > 0) THEN
+          IF (iflag_rrtm == 0) THEN !--old radiation
              IF (.NOT. aerosol_couple) THEN
                 !
@@ -4238,5 +4238,5 @@
                      tausum_aero, tau3d_aero)
              ENDIF
-          ELSE IF (iflag_rrtm .EQ.1) THEN  ! RRTM radiation
+          ELSE IF (iflag_rrtm ==1) THEN  ! RRTM radiation
              IF (aerosol_couple .AND. config_inca == 'aero' ) THEN
                 abort_message='config_inca=aero et rrtm=1 impossible'
@@ -4304,5 +4304,5 @@
                 !
              ENDIF
-          ELSE IF (iflag_rrtm .EQ.2) THEN    ! ecrad RADIATION
+          ELSE IF (iflag_rrtm ==2) THEN    ! ecrad RADIATION
 #ifdef CPP_ECRAD
              !--climatologies or INCA aerosols
@@ -4322,5 +4322,5 @@
           mass_solu_aero(:,:) = 0.
           mass_solu_aero_pi(:,:) = 0.
-          IF (iflag_rrtm .EQ. 0) THEN !--old radiation
+          IF (iflag_rrtm == 0) THEN !--old radiation
              tau_aero(:,:,:,:) = 1.e-15
              piz_aero(:,:,:,:) = 1.
@@ -4339,10 +4339,10 @@
        !--STRAT AEROSOL
        !--updates tausum_aero,tau_aero,piz_aero,cg_aero
-       IF (flag_aerosol_strat.GT.0) THEN
-          IF (prt_level .GE.10) THEN
+       IF (flag_aerosol_strat>0) THEN
+          IF (prt_level >=10) THEN
              PRINT *,'appel a readaerosolstrat', mth_cur
           ENDIF
-          IF (iflag_rrtm.EQ.0) THEN
-           IF (flag_aerosol_strat.EQ.1) THEN
+          IF (iflag_rrtm==0) THEN
+           IF (flag_aerosol_strat==1) THEN
              CALL readaerosolstrato(debut)
            ELSE
@@ -4413,6 +4413,6 @@
 
        !
-       IF (lon1_beta.EQ.-180..AND.lon2_beta.EQ.180..AND. &
-           lat1_beta.EQ.90..AND.lat2_beta.EQ.-90.) THEN
+       IF (lon1_beta==-180..AND.lon2_beta==180..AND. &
+           lat1_beta==90..AND.lat2_beta==-90.) THEN
           !
           ! global
@@ -4423,5 +4423,5 @@
           DO k=1, klev
              DO i=1, klon
-                IF (pplay(i,k).GE.pfree) THEN
+                IF (pplay(i,k)>=pfree) THEN
                    beta(i,k) = beta_pbl
                 ELSE
@@ -4445,9 +4445,9 @@
              DO i=1,klon
                 !
-                IF (longitude_deg(i).ge.lon1_beta.AND. &
-                    longitude_deg(i).le.lon2_beta.AND. &
-                    latitude_deg(i).le.lat1_beta.AND.  &
-                    latitude_deg(i).ge.lat2_beta) THEN
-                   IF (pplay(i,k).GE.pfree) THEN
+                IF (longitude_deg(i)>=lon1_beta.AND. &
+                    longitude_deg(i)<=lon2_beta.AND. &
+                    latitude_deg(i)<=lat1_beta.AND.  &
+                    latitude_deg(i)>=lat2_beta) THEN
+                   IF (pplay(i,k)>=pfree) THEN
                       beta(i,k) = beta_pbl
                    ELSE
@@ -4478,5 +4478,5 @@
 !--this is needed for CMIP6 runs
 !--and only possible for new radiation scheme
-       IF (iflag_rrtm.EQ.1.AND.ok_suntime_rrtm) THEN 
+       IF (iflag_rrtm==1.AND.ok_suntime_rrtm) THEN
 #ifdef CPP_RRTM
          CALL read_rsun_rrtm(debut)
@@ -4495,5 +4495,5 @@
        !input to radiation (DICE)
        !
-       IF (iflag_radia .ge. 2) THEN
+       IF (iflag_radia >= 2) THEN
           zsav_tsol (:) = zxtsol(:)
           CALL perturb_radlwsw(zxtsol,iflag_radia)
@@ -4535,5 +4535,5 @@
           IF (carbon_cycle_rad) RCO2=RCO2_glo
           !
-          IF (prt_level .GE.10) THEN
+          IF (prt_level >=10) THEN
              print *,' ->radlwsw, number 1 '
           ENDIF
@@ -4550,5 +4550,5 @@
                t_seri,q_seri,wo, &
                cldfrarad, cldemirad, cldtaurad, &
-               ok_ade.OR.flag_aerosol_strat.GT.0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
+               ok_ade.OR.flag_aerosol_strat>0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
                flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
                tau_aero, piz_aero, cg_aero, &
@@ -4599,9 +4599,9 @@
             !IM Par defaut on a les taux perturbes egaux aux taux actuels
             !
-            IF (RCO2_per.NE.RCO2_act.OR. &
-                RCH4_per.NE.RCH4_act.OR. &
-                RN2O_per.NE.RN2O_act.OR. &
-                RCFC11_per.NE.RCFC11_act.OR. &
-                RCFC12_per.NE.RCFC12_act) ok_4xCO2atm =.TRUE. 
+            IF (RCO2_per/=RCO2_act.OR. &
+                RCH4_per/=RCH4_act.OR. &
+                RN2O_per/=RN2O_act.OR. &
+                RCFC11_per/=RCFC11_act.OR. &
+                RCFC12_per/=RCFC12_act) ok_4xCO2atm =.TRUE.
           ENDIF
    ! 
@@ -4614,5 +4614,5 @@
                 RCFC12 = RCFC12_per
                 !
-                IF (prt_level .GE.10) THEN
+                IF (prt_level >=10) THEN
                    print *,' ->radlwsw, number 2 '
                 ENDIF
@@ -4628,5 +4628,5 @@
                      t_seri,q_seri,wo, &
                      cldfrarad, cldemirad, cldtaurad, &
-                     ok_ade.OR.flag_aerosol_strat.GT.0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
+                     ok_ade.OR.flag_aerosol_strat>0, ok_aie,  ok_volcan, flag_volc_surfstrat, &
                      flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
                      tau_aero, piz_aero, cg_aero, &
@@ -4714,5 +4714,5 @@
        !  If Iflag_radia >=2, reset pertubed variables
        !
-       IF (iflag_radia .ge. 2) THEN
+       IF (iflag_radia >= 2) THEN
           zxtsol(:) = zsav_tsol (:)
        ENDIF
@@ -4720,6 +4720,6 @@
     itaprad = itaprad + 1
 
-    IF (iflag_radia.eq.0) THEN
-       IF (prt_level.ge.9) THEN
+    IF (iflag_radia==0) THEN
+       IF (prt_level>=9) THEN
           PRINT *,'--------------------------------------------------'
           PRINT *,'>>>> ATTENTION rayonnement desactive pour ce cas'
@@ -4795,5 +4795,5 @@
     ! a l'echelle sous-maille:
     !
-    IF (prt_level .GE.10) THEN
+    IF (prt_level >=10) THEN
        print *,' call orography ? ', ok_orodr
     ENDIF
@@ -4811,5 +4811,5 @@
           ! zpmm_orodr_t and zstd_orodr_t are activation thresholds set by F. Lott to
           ! earn computation time but they are not physical.
-          IF (((zpic(i)-zmea(i)).GT.zpmm_orodr_t).AND.(zstd(i).GT.zstd_orodr_t).AND.(zrel_oro(i).LE.zrel_oro_t)) THEN
+          IF (((zpic(i)-zmea(i))>zpmm_orodr_t).AND.(zstd(i)>zstd_orodr_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
              itest(i)=1
              igwd=igwd+1
@@ -4864,5 +4864,5 @@
           !    such as ice sheets (work by V. Wiener)
           zrel_oro(i)=zstd(i)/(max(zsig(i),1.E-8)*sqrt(cell_area(i)))
-          IF (((zpic(i)-zmea(i)).GT.zpmm_orolf_t).AND.(zrel_oro(i).LE.zrel_oro_t)) THEN
+          IF (((zpic(i)-zmea(i))>zpmm_orolf_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
              itest(i)=1
              igwd=igwd+1
@@ -5062,5 +5062,5 @@
        CALL getin_p('addtkeoro',addtkeoro) 
       
-       IF (prt_level.ge.5) &
+       IF (prt_level>=5) &
             print*,'addtkeoro', addtkeoro
             
@@ -5083,5 +5083,5 @@
 !
 
-       IF (addtkeoro .GT. 0 .AND. ok_orodr ) THEN
+       IF (addtkeoro > 0 .AND. ok_orodr ) THEN
 !      -------------------------------------------
 
@@ -5090,10 +5090,10 @@
 
 
-  IF (addtkeoro .EQ. 1 ) THEN
+  IF (addtkeoro == 1 ) THEN
 
             duadd(:,:)=alphatkeoro*d_u_oro(:,:)
             dvadd(:,:)=alphatkeoro*d_v_oro(:,:)
 
-  ELSE IF (addtkeoro .EQ. 2) THEN
+  ELSE IF (addtkeoro == 2) THEN
 
      IF (smallscales_tkeoro) THEN
@@ -5104,5 +5104,5 @@
 ! car on peut s'attendre a ce que les petites echelles produisent aussi de la TKE
 ! Mais attention, cela ne va pas dans le sens de la conservation de l'energie! 
-          IF ((zstd(i).GT.1.0) .AND.(zrel_oro(i).LE.zrel_oro_t)) THEN
+          IF ((zstd(i)>1.0) .AND.(zrel_oro(i)<=zrel_oro_t)) THEN
              itest(i)=1
              igwd=igwd+1
@@ -5116,5 +5116,5 @@
        DO i=1,klon
           itest(i)=0
-        IF (((zpic(i)-zmea(i)).GT.zpmm_orodr_t).AND.(zstd(i).GT.zstd_orodr_t).AND.(zrel_oro(i).LE.zrel_oro_t)) THEN
+        IF (((zpic(i)-zmea(i))>zpmm_orodr_t).AND.(zstd(i)>zstd_orodr_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
              itest(i)=1
              igwd=igwd+1
@@ -5257,5 +5257,5 @@
   IF (ok_airs) then
 
-  IF (itap.eq.1.or.MOD(itap,NINT(freq_airs/phys_tstep)).EQ.0) THEN
+  IF (itap==1.or.MOD(itap,NINT(freq_airs/phys_tstep))==0) THEN
      write(*,*) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
      CALL simu_airs(itap,rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs,&
@@ -5364,5 +5364,5 @@
     IF (offline) THEN
 
-       IF (prt_level.ge.9) &
+       IF (prt_level>=9) &
             print*,'Attention on met a 0 les thermiques pour phystoke'
        CALL phystokenc ( &
@@ -5385,5 +5385,5 @@
     !
     !IM global posePB BEG
-    IF(1.EQ.0) THEN
+    IF(1==0) THEN
        !
        CALL transp_lay (paprs,zxtsol, t_seri, q_seri, u_seri, v_seri, zphi, &
@@ -5538,5 +5538,5 @@
     ! Convertir les incrementations en tendances
     !
-    IF (prt_level .GE.10) THEN
+    IF (prt_level >=10) THEN
        print *,'Convertir les incrementations en tendances '
     ENDIF
@@ -5561,9 +5561,9 @@
           ENDIF
           !--ice_sursat: nqo=4, on ajoute rneb
-          IF (nqo.ge.4 .and. ok_ice_sursat) THEN
+          IF (nqo>=4 .and. ok_ice_sursat) THEN
              d_qx(i,k,irneb) = ( rneb_seri(i,k) - qx(i,k,irneb) ) / phys_tstep
           ENDIF
 
-           IF (nqo.ge.4 .and. ok_bs) THEN
+           IF (nqo>=4 .and. ok_bs) THEN
              d_qx(i,k,ibs) = ( qbs_seri(i,k) - qx(i,k,ibs) ) / phys_tstep
           ENDIF
@@ -5612,5 +5612,5 @@
     !==========================================================================
 
-    IF (prt_level.ge.1) THEN
+    IF (prt_level>=1) THEN
        write(lunout,*) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
        write(lunout,*) &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5082)
@@ -526,5 +526,5 @@
        !
        ALLOCATE(flag_cvltr(nbtr))
-       IF (iflag_con.EQ.3) THEN
+       IF (iflag_con==3) THEN
           !
           ALLOCATE(ccntrAA(nbtr))
@@ -620,5 +620,5 @@
     ENDDO
     !
-    IF (id_be .GT. 0) THEN
+    IF (id_be > 0) THEN
        DO k=1,klev
           DO i=1,klon
@@ -681,9 +681,9 @@
        DO it=1, nbtr
           IF ( conv_flg(it) == 0 ) CYCLE
-          IF (iflag_con.LT.2) THEN
+          IF (iflag_con<2) THEN
              !--pas de transport convectif
              d_tr_cv(:,:,it)=0.
 
-          ELSE IF (iflag_con.EQ.2) THEN
+          ELSE IF (iflag_con==2) THEN
              !--ancien transport convectif de Tiedtke
 
@@ -793,5 +793,5 @@
     ENDDO
 
-    IF (iflag_thermals.GT.0.AND.iflag_the_trac>0) THEN   
+    IF (iflag_thermals>0.AND.iflag_the_trac>0) THEN
 
        DO it=1, nbtr
@@ -913,5 +913,5 @@
        ! choix du lessivage
        !
-       IF (iflag_lscav .EQ. 3 .OR. iflag_lscav .EQ. 4) THEN
+       IF (iflag_lscav == 3 .OR. iflag_lscav == 4) THEN
           ! ********  Olivier Boucher version (3) possibly with modified ql_incl (4)
           !
@@ -966,5 +966,5 @@
 #endif
 
-       ELSE IF (iflag_lscav .EQ. 2) THEN ! frac_impa, frac_nucl
+       ELSE IF (iflag_lscav == 2) THEN ! frac_impa, frac_nucl
           ! *********   modified  old version
 
@@ -992,5 +992,5 @@
                       evaplsc = prfl(i,k) - prfl(i,k+1) + psfl(i,k) - psfl(i,k+1)
                       ! Evaporation Partielle -> Liberation Partielle 0.5*evap
-                      IF ( evaplsc .LT.0..and.abs(prfl(i,k+1)+psfl(i,k+1)).gt.1.e-10) THEN
+                      IF ( evaplsc <0..and.abs(prfl(i,k+1)+psfl(i,k+1))>1.e-10) THEN
                          evaplsc = (-evaplsc)/(prfl(i,k+1)+psfl(i,k+1))
                          ! evaplsc est donc positif, his_dh(i) est positif
@@ -1000,5 +1000,5 @@
                          !-------------   d_tr_evapls(i,k,it)=-0.5*evaplsc*(d_tr_lsc(i,k+1,it))
                          beta=0.5*evaplsc
-                         if ((prfl(i,k)+psfl(i,k)).lt.1.e-10) THEN
+                         if ((prfl(i,k)+psfl(i,k))<1.e-10) THEN
                             beta=1.0*evaplsc
                          endif
@@ -1034,5 +1034,5 @@
           ! *********   end modified old version
 
-       ELSE IF (iflag_lscav .EQ. 1) THEN ! frac_impa, frac_nucl
+       ELSE IF (iflag_lscav == 1) THEN ! frac_impa, frac_nucl
           ! *********    old version
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/printflag.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/printflag.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/printflag.F90	(revision 5082)
@@ -30,5 +30,5 @@
     &  ************'
   PRINT 100
-  PRINT 10, iflag_cycle_diurne.GE.1, soil_model
+  PRINT 10, iflag_cycle_diurne>=1, soil_model
   PRINT 100
 
@@ -97,6 +97,6 @@
   END IF
 
-  IF (cycle_diurn0 .AND. .NOT. (iflag_cycle_diurne.GE.1) .OR. .NOT. cycle_diurn0 .AND. &
-      (iflag_cycle_diurne.GE.1) ) THEN
+  IF (cycle_diurn0 .AND. .NOT. (iflag_cycle_diurne>=1) .OR. .NOT. cycle_diurn0 .AND. &
+      (iflag_cycle_diurne>=1) ) THEN
     PRINT 13, cycle_diurn0, iflag_cycle_diurne
     PRINT 100
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/radio_decay.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/radio_decay.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/radio_decay.F90	(revision 5082)
@@ -36,5 +36,5 @@
      d_tr(:,:,it) = 0.
      IF ( radio(it) ) THEN
-        IF (tautr(it) .GT. 0.) THEN
+        IF (tautr(it) > 0.) THEN
            DO k = 1,klev
               DO i = 1,klon
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5082)
@@ -536,9 +536,9 @@
     !-------------------------------------------
     nb_gr = KLON / kdlon
-    IF (nb_gr*kdlon .NE. KLON) THEN
+    IF (nb_gr*kdlon /= KLON) THEN
        PRINT*, "kdlon mauvais:", KLON, kdlon, nb_gr
        call abort_physic("radlwsw", "", 1)
     ENDIF
-    IF (kflev .NE. KLEV) THEN
+    IF (kflev /= KLEV) THEN
        PRINT*, "kflev differe de KLEV, kflev, KLEV"
        call abort_physic("radlwsw", "", 1)
@@ -1676,5 +1676,5 @@
 
     IF (lldebug) THEN
-       if (0.eq.1) then
+       if (0==1) then
           ! Verifs dans le cas 1D
           print*,'================== Sortie de radlw ================='
